package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.SysTenant;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 租户信息 Mapper 接口
 * </p>
 */
public interface SysTenantMapper extends BaseMapper<SysTenant> {

    /**
     * 用户租户列表
     *
     * @param userId
     * @return
     */
    List<SysTenant> selectUserTenantList(@Param("userId")String userId, @Param("limitTenantUserId")String limitTenantUserId);

    /**
     * 在用用户所属的租户
     *
     * @param userId
     * @param tenantId
     * @return
     */
    SysTenant selectInUseUserTenant(@Param("userId")String userId, @Param("tenantId")String tenantId);

    int tenantHaveContent(String tenantId);

    int expireTenant();

}
